//========================================================================
//  Ultimate Color Picker Dialogs - Delphi Edition
//
//  Copyright 2003-2005, SimpleWebsiteNavigation.com, All Rights Reserved.
//
//  Datecode: 050929
//
//  This software is shareware.  You may evaluate it for free, but it you
//  use it you must purchase a license from:
//     www.components.SimpleWebsiteNavigation.com
//========================================================================

unit LicensesAndCreditsDlgUnit;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls, 
  Buttons, ExtCtrls;

type
  TLicensesDlg = class(TForm)
    OKBtn: TButton;
    Bevel1: TBevel;
    LicensesAndCredits: TMemo;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

type
  TUCPDLicenseGrade = (UCPDPersonalLicense, UCPDSharewareLicense, UCPDCommercialLicense);
  TUCPDLicenseType = (UCPDGeneralLicense, UCPDRecompileLicense);

procedure ShowLicensesAndCredits (LicenseNo: integer;
                                  Licensee: string;
                                  UCPDLicenseGrade: TUCPDLicenseGrade;
                                  UCPDLicenseType: TUCPDLicenseType;
                                  ApplicationName: string;
                                  usesHSL: boolean
                                 );

implementation

{$R *.DFM}
procedure ShowLicensesAndCredits (LicenseNo: integer;
                                  Licensee: string;
                                  UCPDLicenseGrade: TUCPDLicenseGrade;
                                  UCPDLicenseType: TUCPDLicenseType;
                                  ApplicationName: string;
                                  usesHSL: boolean
                                 );
  var
     Dlg: TLicensesDlg;
  procedure out (s: string);
    begin
       Dlg.LicensesAndCredits.Lines.Insert (0, s)
    end;
  var
     s: string;
  begin
     Dlg := TLicensesDlg.Create (Application);

     if usesHSL
     then
        begin  // insert in reverse order of final appearance
           out ('and van Dam, Addison-Wesley, 1982.');
           out ('of the book Fundamentals of Interactive Computer Graphics by Foley');
           out ('The conversion algorithms for HSL color spaces are from Chapter 17');
           out ('--------------------------')
        end;
        
     out ('Copyright 2003-2005, SimpleWebsiteNavigation.com, All Rights Reserved.');

     case UCPDLicenseGrade of
        UCPDPersonalLicense:
           s := 'Personal ';
        UCPDSharewareLicense:
           s := 'Shareware ';
        UCPDCommercialLicense:
           s := 'Commercial '
     end;
     case UCPDLicenseType of
        UCPDGeneralLicense:
           s := s + 'General ';
        UCPDRecompileLicense:
           s := s + 'Recompile ';
     end;
     out (format ('%s License No. %d,', [s, LicenseNo]));

     s := 'by ' + Licensee;
     if UCPDLicenseType = UCPDRecompileLicense
     then
        s := s + ' for ' + ApplicationName;
     out (s);

     out ('licensed from www.components.SimpleWebsiteNavigation.com');
     out ('This application includes Ultimate Color Picker Dialog Components');
     out ('--------------------------');

     if Dlg.LicensesAndCredits.Lines.Count > 11
     then
        Dlg.LicensesAndCredits.ScrollBars := ssVertical;

     Dlg.ShowModal;
     Dlg.Free
  end;

end.
